### Function

# GimpUi prop_enum_combo_box_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_enum_combo_box_new (
      GObject* config,
      const gchar* property_name,
      gint minimum,
      gint maximum
    )

#### Description [src]

Creates a `GimpIntComboBox` widget to display and set the specified enum property. The `mimimum_value` and `maximum_value` give the possibility of restricting the allowed range to a subset of the enum. If the two values are equal (e.g., 0, 0), then the full range of the Enum is used.

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of enum property controlled by combo box.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`minimum`

  Type: `gint`

  Smallest allowed value of enum.

`maximum`

  Type: `gint`

  Largest allowed value of enum.

#### Return value

Type: `GtkWidget`

The newly created `GimpEnumComboBox` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.